<?php
/*
  $Id: optional_related_products.php
  $Loc: catalog/admin/

  Related Products 7.1
  by @raiwa
  info@oscaddons.com
  www.oscaddons.com

  Copyright (c) 2019: Rainer Schmied - @raiwa

  All rights reserved.﻿﻿

  Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

  2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

  3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

  require('includes/application_top.php');
  $languages = tep_get_languages();

  // function get products model
  function tep_get_products_model($product_id) {
    $product_query = tep_db_query("select products_model from products where products_id = '" . (int)$product_id . "'");
    $product = tep_db_fetch_array($product_query);
    return $product['products_model'];
  }

  $action = (isset($_GET['action']) ? $_GET['action'] : '');

  $related_page = null;
  if (isset($_GET['related_page'])) $related_page = $_GET['related_page'];

  $products_id_view = (isset($_GET['products_id_view']) && $_GET['products_id_view'] != 0) ? (int)$_GET['products_id_view'] : null;
  $products_id_master = (isset($_GET['products_id_master']) && $_GET['products_id_master'] != 0) ? (int)$_GET['products_id_master'] : null;
  if ($products_id_master) { $products_id_view = $products_id_master; }

  if ( defined('MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_MODEL') && defined('MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_NAME') ) {
    if ( MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_MODEL == 'True' && MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_NAME == 'True') {
      $MenuOrderBy = 'order by pd.products_name, p.products_model';
    } elseif (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_NAME == 'True') {
      $MenuOrderBy = 'order by pd.products_name';
    } elseif (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_MODEL == 'True') {
      $MenuOrderBy = 'order by p.products_model';
    }
  }

  if (tep_not_null($action)) {
    $page_info = '';
    if (isset($_GET['related_page'])) $page_info .= 'related_page=' . $_GET['related_page'] . '&';
    if (tep_not_null($page_info)) {
      $page_info = substr($page_info, 0, -1);
    }

    switch ($action) {
      case 'Insert':
        $products_id_master = tep_db_prepare_input($_REQUEST['products_id_master']);
        $products_id_slave = tep_db_prepare_input($_REQUEST['products_id_slave']);
        $pop_order_id = tep_db_prepare_input($_REQUEST['pop_order_id']);

        if ($products_id_master != $products_id_slave) {
          $check = tep_db_query("select p.pop_id from products_related_products p where p.pop_products_id_master=" . $products_id_master ." and p.pop_products_id_slave=" . $products_id_slave);
          if (!tep_db_fetch_array($check)) {
            tep_db_query("insert into products_related_products values ('', '" . (int)$products_id_master . "', '" . (int)$products_id_slave . "', '". (int)$pop_order_id."')");
          }
        }
        tep_redirect(tep_href_link('optional_related_products.php', $page_info.'&products_id_master='.$products_id_master.'&products_id_slave='.$products_id_slave.'&products_id_view='.$products_id_view));
        break;

      case 'Reciprocate':
        $products_id_master = tep_db_prepare_input($_REQUEST['products_id_master']);
        $products_id_slave = tep_db_prepare_input($_REQUEST['products_id_slave']);
        $pop_order_id = tep_db_prepare_input($_REQUEST['pop_order_id']);
        if ($products_id_master != $products_id_slave) {
          $check = tep_db_query("select p.pop_id from products_related_products p where p.pop_products_id_master=" . $products_id_master ." and p.pop_products_id_slave=" . $products_id_slave);
          if (!tep_db_fetch_array($check)) {
            tep_db_query("insert into products_related_products values ('', '" . (int)$products_id_master . "', '" . (int)$products_id_slave . "', '". (int)$pop_order_id."')");
          }
          $check = tep_db_query("select p.pop_id from products_related_products p where p.pop_products_id_master=" . $products_id_slave ." and p.pop_products_id_slave=" . $products_id_master );
          if (!tep_db_fetch_array($check)) {
            tep_db_query("insert into products_related_products values ('', '" . (int)$products_id_slave . "', '" . (int)$products_id_master . "', '". (int)$pop_order_id."')");
          }
        }
        tep_redirect(tep_href_link('optional_related_products.php', $page_info . '&products_id_master=' . $products_id_master . '&products_id_slave=' . $products_id_slave . '&products_id_view=' . $products_id_view));
        break;

      case 'Inherit':
        $products_id_master = tep_db_prepare_input($_REQUEST['products_id_master']);
        $products_id_slave = tep_db_prepare_input($_REQUEST['products_id_slave']);
        $pop_order_id = tep_db_prepare_input($_REQUEST['pop_order_id']);

        if ($products_id_master != $products_id_slave) {
          if (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_INSERT_AND_INHERIT == 'True') {
            $check = tep_db_query("select p.pop_id from products_related_products p where p.pop_products_id_master=" . $products_id_master." and p.pop_products_id_slave=" . $products_id_slave);
            if (!tep_db_fetch_array($check)) {
               tep_db_query("insert into products_related_products values ('', '" . (int)$products_id_master . "', '" . (int)$products_id_slave . "', '". (int)$pop_order_id."')");
            }
          }
          $products = tep_db_query("select p.pop_products_id_slave from products_related_products p where p.pop_products_id_master=" . $products_id_slave . " order by p.pop_id");
          while ($products_values = tep_db_fetch_array($products)) {
            $products_id_slave2 = $products_values['pop_products_id_slave'];
            if ($products_id_master != $products_id_slave2) {

              $check = tep_db_query("select p.pop_id from products_related_products p where p.pop_products_id_master=" . $products_id_master." and p.pop_products_id_slave=" . $products_id_slave2);
              if (!tep_db_fetch_array($check)) {
                tep_db_query(" insert into products_related_products values ('', '" . (int)$products_id_master . "', '" . (int)$products_id_slave2 . "', '". (int)$pop_order_id."')");
              }
            }
          }
        }
        tep_redirect(tep_href_link('optional_related_products.php', $page_info . '&products_id_master=' . $products_id_master . '&products_id_slave=' . $products_id_slave . '&products_id_view=' . $products_id_view));
        break;

      case 'update_product_attribute':
        $products_id_master = tep_db_prepare_input($_REQUEST['products_id_master']);
        $products_id_slave = tep_db_prepare_input($_REQUEST['products_id_slave']);
        $pop_order_id = tep_db_prepare_input($_REQUEST['pop_order_id']);
        $pop_id = tep_db_prepare_input($_REQUEST['pop_id']);

        tep_db_query("update products_related_products set pop_products_id_master = '" . (int)$products_id_master . "', pop_products_id_slave = '" . (int)$products_id_slave . "', pop_order_id = '".(int)$pop_order_id."' where pop_id = '" . (int)$pop_id . "'");
        tep_redirect(tep_href_link('optional_related_products.php', $page_info.'&products_id_view='.$products_id_view));
        break;
      case 'delete_attribute':
        $pop_id = tep_db_prepare_input($_GET['pop_id']);

        tep_db_query("delete from products_related_products where pop_id = '" . (int)$pop_id . "'");

        tep_redirect(tep_href_link('optional_related_products.php', $page_info.'&products_id_view='.$products_id_view));
        break;
      case 'maintenance':
        tep_db_query("delete from products_related_products where pop_products_id_master not in(select products_id from products where products_id is not null) or pop_products_id_slave not in(select products_id from products where products_id is not null)");

        tep_redirect(tep_href_link('optional_related_products.php', $page_info.'&products_id_view='.$products_id_view));
        break;
    }
  }

  require('includes/template_top.php');
?>
    <table style="width:100%">
      <tr>
        <td>
    <table style="width:100%">
<?php
  if ( defined('MODULE_CONTENT_PI_RELATED_PRODUCTS_STATUS') ) { // check if product info module installed
?>
    <tr>
      <td class="pageHeading"><?php echo HEADING_TITLE_RELATED . ' ' . MODULE_CONTENT_PI_RELATED_PRODUCTS_VERSION_INSTALLED; ?>&nbsp;&nbsp;<small><a target="_blank" href="http://www.oscaddons.com/en/commercial-add-ons/related-products-pro-p-43.html"><?php echo TEXT_GET_PRO; ?></a></small></td>
    </tr>
    <tr>
      <td align="right"><?php echo tep_draw_button(TEXT_CONFIGURATION, 'gear', tep_href_link('modules_content.php', 'module=cm_pi_related_products&action=edit')); ?></td>
    </tr>
    <tr>
      <td>
    </td>
  </tr>
  <tr>
    <td>
      <form name="formview">
      <table style="width:100%">
        <tr>

<?php
        $related_what = "p.products_id";
        $related_from =  " from products p, products_related_products pa";
        $related_where =  " where pa.pop_products_id_master = p.products_id";
        if (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_MODEL == 'True') {
          $related_what .= ", p.products_model";
        }
        if (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_NAME == 'True') {
          $related_what .= ", pd.products_name";
          $related_from .=  ", products_description pd";
          $related_where .=  " and p.products_id = pd.products_id";
          $related_where .=  " and pd.language_id = '" . $languages_id . "'";
        }

        $related_query_raw = "select distinct " . $related_what . $related_from . $related_where . ' ' . $MenuOrderBy;
        $related_query = tep_db_query($related_query_raw);

        $products_array[] = array('id' => '',
                                'text' => TEXT_SHOW_ALL_PRODUCTS);
        while ($related_values = tep_db_fetch_array($related_query)) {
          $model = (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_MODEL == 'True')? $related_values['products_model'] . MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_MODEL_SEPARATOR : '' ;
          $name = (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_NAME == 'True')? $related_values['products_name'] : '' ;
          $products_array[] = array('id' => $related_values['products_id'],
                                  'text' => $model . $name );
        }

        echo '<td width="25%"><b>' . TITLE_SELECT_PRODUCT . '</b></td><td>' . tep_draw_pull_down_menu('products_id_view', $products_array, (isset($_GET['products_id_view']) ? $_GET['products_id_view'] : ''), 'onchange="document.location.href=\'' . tep_href_link('optional_related_products.php', "&products_id_view='+this.value+'").'\'"') . '</td>';;
?>
         </tr>
         <tr>
          <td colspan="2"><?php echo tep_image('images/pixel_trans.gif', '', '10', '1'); ?></td>
         </tr>
      </table>
      </form>

<?php
      if ($action == 'update_attribute') {
        $form_action = 'update_product_attribute';
      } else {
        $form_action = 'add_product_relations';
      }

      if (!isset($related_page)) {
        $related_page = 1;
      }
      $prev_related_page = $related_page - 1;
      $next_related_page = $related_page + 1;
      $form_params = 'action=' . $form_action . '&related_page=' . $related_page;

?>
      <?php echo tep_draw_form('relations', 'optional_related_products.php', $form_params, 'get'); ?>
      <table style="width:100%">

        <tr>
          <td class="smallText">
<?php
          $per_page = MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_MAX_ROW_LISTS_OPTIONS;

          $related_query = "select pa.*, pd.products_id
                              from products_related_products pa
                              left join products_description pd
                                on pa.pop_products_id_master = pd.products_id
                               and pd.language_id = '" . (int)$languages_id . "'";

          if ($products_id_view) {
            $related_query .= " where pd.products_id = '$products_id_view'"; }
            $related_query .= " order by ' . $MenuOrderBy . ', pa.pop_order_id, pa.pop_id";

            $related_values = tep_db_query($related_query);

            $related_page_start = ($per_page * $related_page) - $per_page;
            $num_rows = tep_db_num_rows($related_values);

            if ($num_rows <= $per_page) {
              $num_pages = 1;
            } else if (($num_rows % $per_page) == 0) {
              $num_pages = ($num_rows / $per_page);
            } else {
              $num_pages = ($num_rows / $per_page) + 1;
            }
            $num_pages = (int) $num_pages;

            $related_query = $related_query . " LIMIT $related_page_start, $per_page";

            $view_id = '';
            if ($products_id_view) {
              $products_id_view = $products_id_master?$products_id_master:$products_id_view;
              $view_id = '&products_id_view=' . $products_id_view;
            }

            // Previous
            if ($prev_related_page) {
              echo '<a href="' . tep_href_link('optional_related_products.php', tep_get_all_get_params() . 'related_page=' . $prev_related_page . $view_id) . '"> &lt;&lt; </a> | ';
            }

            for ($i = 1; $i <= $num_pages; $i++) {
              if ($i != $related_page) {
                echo '<a href="' . tep_href_link('optional_related_products.php', tep_get_all_get_params() . 'related_page=' . $i) . $view_id . '">' . $i . '</a> | ';
              } else {
                echo '<b><font color="red">' . $i . '</font></b> | ';
              }
            }

            // Next
            if ($related_page != $num_pages) {
              echo '<a href="' . tep_href_link('optional_related_products.php', tep_get_all_get_params() . 'related_page=' . $next_related_page . $view_id) . '"> &gt;&gt; </a>';
            }
?>
            </td>
          </tr>
          </table>
          <table style="width:100%">
          <tr>
            <td colspan="5"><?php echo tep_black_line(); ?></td>
          </tr>
          <tr class="dataTableHeadingRow">
            <td class="dataTableHeadingContent">&nbsp;<?php echo TABLE_HEADING_REL_ID; ?></td>
            <td class="dataTableHeadingContent">&nbsp;<?php echo ((MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_MODEL == 'True') ? TABLE_HEADING_MODEL . ' ' . MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_MODEL_SEPARATOR . ' ' : '') . ((MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_NAME == 'True') ? TABLE_HEADING_PRODUCT : '') . ' ' . MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_MODEL_SEPARATOR . ' ' . TABLE_HEADING_RELATED; ?></td>
            <td class="dataTableHeadingContent">&nbsp;<?php echo ((MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_MODEL == 'True') ? TABLE_HEADING_MODEL . ' ' . MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_MODEL_SEPARATOR . ' ' : '') . ((MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_NAME == 'True') ? TABLE_HEADING_PRODUCT : ''); ?></td>
            <td class="dataTableHeadingContent" align="center">&nbsp;<?php echo TABLE_HEADING_ORDER; ?>&nbsp;</td>
            <td class="dataTableHeadingContent" align="center">&nbsp;<?php echo TABLE_HEADING_ACTION; ?>&nbsp;</td>
          </tr>
          <tr>
            <td colspan="5"><?php echo tep_black_line(); ?></td>
          </tr>
<?php
          $next_id = 1;
          $related_query = tep_db_query($related_query);
          $rows = 0;
          $mId = null;
          $sId = null;
          $mModel = null;
          $sModel = null;
          while ($relations_values = tep_db_fetch_array($related_query)) {
            if (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_MODEL == 'True') {
              $mModel = tep_get_products_model($relations_values['pop_products_id_master']) . MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_MODEL_SEPARATOR . ' ';
              $sModel = tep_get_products_model($relations_values['pop_products_id_slave']) . MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_MODEL_SEPARATOR . ' ';
            }
            if (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_NAME == 'True') {
              $products_name_master = tep_get_products_name($relations_values['pop_products_id_master']);
              $products_name_slave = tep_get_products_name($relations_values['pop_products_id_slave']);
            }

            $pop_order_id = $relations_values['pop_order_id'];
            $rows++;
?>
          <tr class="<?php echo (floor($rows/2) == ($rows/2) ? 'attributes-even' : 'attributes-odd'); ?>">
<?php
          if (($action == 'update_attribute') && ($_GET['pop_id'] == $relations_values['pop_id'])) {
?>
            <td class="smallText">
              <?php echo $relations_values['pop_id']; ?>
              <input type="hidden" name="pop_id" value="<?php echo $relations_values['pop_id']; ?>">
            </td>
            <td class="smallText">
              <select name="products_id_master">
<?php
                // edit relation master product menu
                $related_what = "p.products_id";
                $related_from =  " from products p";
                $related_where =  " where p.products_id > '0'";
                if (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_MODEL == 'True') {
                  $related_what .= ", p.products_model";
                }
                if (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_NAME == 'True') {
                  $related_what .= ", pd.products_name";
                  $related_from .=  ", products_description pd";
                  $related_where .=  " and p.products_id = pd.products_id";
                  $related_where .=  " and pd.language_id = '" . $languages_id . "'";
                }

                $related_query_raw = "select distinct " . $related_what . $related_from . $related_where . ' ' . $MenuOrderBy;
                $related_query = tep_db_query($related_query_raw);
                $related_query_slave = tep_db_query($related_query_raw);

                while($products_values = tep_db_fetch_array($related_query)) {
                  $model = (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_MODEL == 'True')?$products_values['products_model'] . MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_MODEL_SEPARATOR:'';
                  $name = (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_NAME == 'True')?$products_values['products_name']:'';
                  $product_name = (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_MAX_NAME_LENGTH == '0')?$name:substr($name, 0, MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_MAX_NAME_LENGTH);
                  echo '<option id="a' . $products_values['products_id'] . '" value="' . $products_values['products_id'] . '"' . (($relations_values['pop_products_id_master'] == $products_values['products_id'])? ' selected' : '') . '>' . $model . $product_name . '</option>';
                }
?>
              </select>
            </td>
            <td class="smallText">
              <select name="products_id_slave">
<?php
                // edit relation slave product menu
                while($products_values = tep_db_fetch_array($related_query_slave)) {
                  $model = (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_MODEL == 'True')?$products_values['products_model'] . MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_MODEL_SEPARATOR:'';
                  $name = (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_NAME == 'True')?$products_values['products_name']:'';
                  $product_name = (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_MAX_NAME_LENGTH == '0')?$name:substr($name, 0, MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_MAX_NAME_LENGTH);
                  echo '<option id="b' . $products_values['products_id'] . '" value="' . $products_values['products_id'] . '"' . (($relations_values['pop_products_id_slave'] == $products_values['products_id'])? ' selected' : '') . '>' . $model . $product_name . '</option>';
                }
?>
              </select>
            </td>
            <td align="center" class="smallText"><input type="text" name="pop_order_id" value="<?php echo $relations_values['pop_order_id']; ?>" size="6"></td>
            <td align="center" class="smallText"><?php echo tep_draw_hidden_field('action', 'update_product_attribute') .  tep_draw_button(IMAGE_UPDATE, 'refresh'); ?><?php echo tep_draw_button(IMAGE_CANCEL, 'cancel', tep_href_link('optional_related_products.php', '&related_page=' . $related_page . '&products_id_view='.$products_id_view, $request_type)); ?></td>
<?php
          } else {
            //  basic browse table list
?>
            <td class="smallText">&nbsp;<?php echo $relations_values["pop_id"]; ?>&nbsp;</td>
            <td class="smallText">&nbsp;<?php echo $mId  ?><?php echo $mModel ?><?php echo (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_MAX_DISPLAY_LENGTH== '0')?$products_name_master:substr($products_name_master, 0, MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_MAX_DISPLAY_LENGTH); ?>&nbsp;</td>
            <td class="smallText">&nbsp;<?php echo $sId  ?><?php echo $sModel ?><?php echo (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_MAX_DISPLAY_LENGTH== '0')?$products_name_slave:substr($products_name_slave, 0, MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_MAX_DISPLAY_LENGTH); ?>&nbsp;</td>
            <td class="smallText" align="center">&nbsp;<?php echo $pop_order_id; ?>&nbsp;</td>
            <td align="center" class="smallText">
<?php
                 $params = 'action=update_attribute&pop_id='
                          . $relations_values['pop_id']
                          . '&related_page=' . $related_page
                          . '&products_id_view=' . $products_id_view;
                     echo '<a href="' . tep_href_link('optional_related_products.php',  $params, $request_type) . '">' . IMAGE_EDIT . '</a>&nbsp;&nbsp;&nbsp;&nbsp;';
                 $params = 'action=delete_attribute&pop_id='
                          . $relations_values['pop_id']
                          . '&related_page=' . $related_page
                          . '&products_id_view=' . $products_id_view;
                 if (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_CONFIRM_DELETE == 'False') {
                   echo '<a href="' . tep_href_link('optional_related_products.php',  $params, $request_type) . '">' .  IMAGE_DELETE . '</a>';
                 } else {
                   echo '<a href="' . tep_href_link('optional_related_products.php',  $params, $request_type) . '" onClick="return confirm(\'' .  strip_tags(sprintf(TEXT_CONFIRM_DELETE, str_replace('"', '', $products_name_slave), str_replace('"', '', $products_name_master))) . '\');">' .  IMAGE_DELETE . '</a>';
                 }
?>
              </td>
<?php
          }
          $max_relations_id_query = tep_db_query("select max(pop_id) + 1 as next_id from products_related_products");
          $max_relations_id_values = tep_db_fetch_array($max_relations_id_query);
          $next_id = $max_relations_id_values['next_id'];
?>
          </tr>
<?php
  }
?>
            <tr>
              <td colspan="5"><?php echo tep_black_line(); ?></td>
            </tr>
          </table>
<?php
          if ($action != 'update_attribute') {
?>
            <table style="width:100%">
              <tr>
                <td colspan="4"><?php echo tep_draw_separator('pixel_trans.gif', 10, 10); ?></td>
              </tr>
              <tr>
                <td class="smallText"><b><?php echo TABLE_HEADING_REL_ID; ?></b></td>
                <td class="smallText"><b><?php echo TEXT_MASTER_PRODUCTS; ?></b></td>
                <td class="smallText"><b><?php echo TEXT_SLAVE_PRODUCTS; ?></b></td>
                <td class="smallText"><b><?php echo TABLE_HEADING_ORDER; ?></b></td>
              </tr>
              <tr>
                <td class="smallText"><?php echo $next_id; ?></td>
                <td class="smallText">
                  <select name="products_id_master">
<?php
                    $related_what = "p.products_id";
                    $related_from =  " from products p";
                    $related_where =  " where p.products_id > '0'";
                    if (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_MODEL == 'True') {
                      $related_what .= ", p.products_model";
                    }
                    if (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_NAME == 'True') {
                      $related_what .= ", pd.products_name";
                      $related_from .=  ", products_description pd";
                      $related_where .=  " and p.products_id = pd.products_id";
                      $related_where .=  " and pd.language_id = '" . $languages_id . "'";
                    }

                    $related_query_raw = "select distinct " . $related_what . $related_from . $related_where . ' ' . $MenuOrderBy;
                    $related_query = tep_db_query($related_query_raw);

                    $products_id_master = $_GET['products_id_master'];
                    if (!$products_id_master) {
                      $products_id_master = $products_id_view;
                    }

                    while ($products_values = tep_db_fetch_array($related_query)) {
                      $model = (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_MODEL == 'True')?$products_values['products_model'] . MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_MODEL_SEPARATOR:'';
                      $name = (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_NAME == 'True')?$products_values['products_name']:'';
                      $product_name = (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_MAX_NAME_LENGTH == '0')?$name:substr($name, 0, MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_MAX_NAME_LENGTH);
                      echo '<option id="c' . $products_values['products_id'] . '" value="' . $products_values['products_id'] . '"' . (($products_id_master == $products_values['products_id'])? ' selected' : '') . '>' . $model . $product_name . '</option>';
                    }
?>
                  </select>
                </td>
                <td class="smallText">
                  <select name="products_id_slave">
<?php
                    $related_what = "p.products_id";
                    $related_from =  " from products p";
                    $related_where =  " where p.products_id > '0'";
                    if (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_MODEL == 'True') {
                      $related_what .= ", p.products_model";
                    }
                    if (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_NAME == 'True') {
                      $related_what .= ", pd.products_name";
                      $related_from .=  ", products_description pd";
                      $related_where .=  " and p.products_id = pd.products_id";
                      $related_where .=  " and pd.language_id = '" . $languages_id . "'";
                    }

                    $related_query_raw = "select distinct " . $related_what . $related_from . $related_where . ' ' . $MenuOrderBy;
                    $related_query = tep_db_query($related_query_raw);

                    while ($products_values = tep_db_fetch_array($related_query)) {
                      $model = (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_MODEL == 'True')?$products_values['products_model'] . MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_MODEL_SEPARATOR:'';
                      $name = (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_USE_NAME == 'True')?$products_values['products_name']:'';
                      $product_name = (MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_MAX_NAME_LENGTH == '0')?$name:substr($name, 0, MODULE_CONTENT_PRODUCT_INFO_ADMIN_RELATED_PRODUCTS_MAX_NAME_LENGTH);
                      echo '<option id="d' . $products_values['products_id'] . '" value="' . $products_values['products_id'] . '"' . (($products_id_slave == $products_values['products_id'])? ' selected' : '') . '>' . $model . $product_name . '</option>';
                    }
?>
                  </select>
              </td>
              <td class="smallText"><input type="text" name="pop_order_id" size="3"></td>
            </tr>
            <tr>
              <td>
              </td>
            </tr>
            <tr>
              <td colspan="4"><?php echo tep_draw_separator('pixel_trans.gif', 10, 10); ?></td>
            </tr>
            <tr>
              <td colspan="4" align="center" class="smallText">
              <?php echo  tep_draw_button(BUTTON_INSERT, 'arrowthick-1-e', null, 'primary', array('params' => 'name="action" value="Insert"')); ?>
              <?php echo  tep_draw_button(BUTTON_RECIPROCATE, 'arrowthick-2-e-w', null, 'primary', array('params' => 'name="action" value="Reciprocate"')); ?>
              <?php echo  tep_draw_button(BUTTON_INHERIT, 'arrowthick-1-s', null, 'primary', array('params' => 'name="action" value="Inherit"')); ?>
              </td>
            </tr>
            <tr>
              <td colspan="4"><?php echo tep_black_line(); ?></td>
            </tr>
            <tr>
              <td colspan="4">
                <?php echo  '<h4 align="center">' . TITLE_MAINTENANCE . '</h4>'; ?>
              </td>
            </tr>
            <tr>
              <td colspan="2">
                <?php echo   TEXT_MAINTENANCE; ?>
              </td>
              <td colspan="2">
                <?php echo tep_draw_button(BUTTON_MAINTENANCE, 'trash', null, 'primary', array('params' => 'name="action" value="maintenance"')); ?>
              </td>
            </tr>
            <tr>
              <td colspan="4"><?php echo tep_black_line(); ?></td>
            </tr>
            </table>
            <input type="hidden" name="products_id_view" value="<?php echo $products_id_view; ?>">
            </form>
<?php
          }

} else { //product info module not installed
?>
  <tr>
    <td class="pageHeading"><?php echo HEADING_TITLE_RELATED; ?>&nbsp;&nbsp;<small><a target="_blank" href="http://www.oscaddons.com/en/commercial-add-ons/related-products-pro-p-43.html"><?php echo TEXT_GET_PRO; ?></a></small></td>
  </tr>
  <tr>
    <td colspan="4"><?php echo tep_draw_separator('pixel_trans.gif', 10, 10); ?></td>
  </tr>
  <tr>
    <td align="center"><div class="secWarning"><?php echo TEXT_MODULE_INSTALL; ?></div></td>
  </tr>
  <tr>
    <td align="center"><?php echo tep_draw_button(TEXT_INSTALL, 'gear', tep_href_link('modules_content.php', 'module=cm_pi_related_products&action=install')); ?></td>
  </tr>
<?php
}
?>
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>

<?php
  require('includes/template_bottom.php');
  require('includes/application_bottom.php');
?>